Gmagick::current
Gmagick::deconstructimages
Gmagick
PHP Manual

# Gmagick::cyclecolormapimage

(PECL gmagick >= Unknown)

Gmagick::cyclecolormapimage — Displaces an image's colormap

### Description

public Gmagick Gmagick::cyclecolormapimage ( int `$displace` )

Displaces an image's colormap by a given number of positions. If you cycle the colormap a number of times you can produce a psychedelic effect.

### Parameters

`displace`

  The amount to displace the colormap.

### Return Values

Returns self on success.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::current
Gmagick::deconstructimages
Gmagick
PHP Manual